<?php
//
$SYS_FOC="NomCom";
//
$NomCom=VU($_POST['NomCom']);
$NomCor=VU($_POST['NomCor']);
$Ruc=VU($_POST['Ruc']);
$Dir=VU($_POST['Dir']);
$Ext=VU($_POST['Ext']);
//
$LIMPIAR=0;
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$r=gr("ges_empresas","id_emp=$Id");
	$NomCom=$r['emp_nom_com'];
	$NomCor=$r['emp_nom_cor'];
	$Ruc=$r['emp_ruc'];
	$Dir=$r['emp_dir'];
	$Ext=$r['emp_externa'];
}
//
if($StrCmd=="L"){
	$LIMPIAR=1;
}	
//
if($StrCmd=="G" || $StrCmd=="M"){
//
}
//
if($StrCmd=="G"){	
	if(strlen($NomCom)>0){
		if(gn("count(*)","ges_empresas","emp_nom_com='$NomCom'")>0){
			$SYS_MSG="Nombre ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($NomCor)>0){
			if(gn("count(*)","ges_empresas","emp_nom_cor='$NomCor'")>0){
				$SYS_MSG="Nombre corto ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		if(strlen($Ruc)>0){
			if(gn("count(*)","ges_empresas","emp_ruc='$Ruc'")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$Id=GenId("id_emp","ges_empresas");
		$s="INSERT INTO ges_empresas 
			VALUES ($Id,'$NomCom','$NomCor','$Ruc','$Dir','$Ext')";
		ejt($s);	
		//echo $s."<br>";	
		//BIT+++++++++++++++++
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT			
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//++
if($StrCmd=="M"){
	if(strlen($NomCom)>0){
		if(gn("count(*)","ges_empresas","emp_nom_com='$NomCom' AND id_emp<>$StrId")>0){
			$SYS_MSG="Nombre ya registrado";
			$OK=0;
		}
	}
	if($OK==1){
		if(strlen($NomCor)>0){
			if(gn("count(*)","ges_empresas","emp_nom_cor='$NomCor' AND id_emp<>$StrId")>0){
				$SYS_MSG="Nombre corto ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		if(strlen($Ruc)>0){
			if(gn("count(*)","ges_empresas","emp_ruc='$Ruc' AND id_emp<>$StrId")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$OK=0;
			}
		}
	}
	if($OK==1){
		$s="UPDATE ges_empresas 
			SET
			emp_nom_com='$NomCom',
			emp_nom_cor='$NomCor',
			emp_ruc='$Ruc',
			emp_dir='$Dir',
			emp_externa='$Ext'
			WHERE id_emp=$StrId";
		ejt($s);		
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT				
		$SYS_MSG="Datos registrados";
		$LIMPIAR=1;
	}
}
//
if($StrCmd=="E"){
	$CX=gn("count(*)","ges_productos_referencias","id_emp=$StrId");
	if($CX>0){
		$SYS_MSG="La empresa esta relacionada a uno o mas referencias";
		$OK=0;			
	}
	if($OK==1){
		if(gn("count(*)","ges_invoice","in_id_emp=$StrId")>0){
			$SYS_MSG="La empresa esta relacionada a uno o mas invoice";
			$OK=0;
		}		
	}
	if($OK==1){	
		$s="DELETE FROM ges_empresas WHERE id_emp=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_empresas.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","EMPRESAS","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT		
		$SYS_MSG="Datos eliminados";
		$LIMPIAR=1;	
	}
}
//
if($LIMPIAR==1){
	$StrId="";
	$NomCom="";
	$NomCor="";
	$Ruc="";
	$Dir="";
	$Ext="";
}
?>
